<?php
/**
 * DDNote class file
 */

/**
 * DDNote 
 * 
 * @uses CActiveRecord
 * @package 
 * @version $Rev$
 * @copyright Diggin' Data
 * @author Joachim Werner <joachim.werner@diggin-data.de>
 * @license (tbd)
 */
class DDNote extends CActiveRecord
{
    // {{{ model
    /**
     * Returns the static model of the specified AR class.
     * @return CActiveRecord the static model class
     */
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    } // }}} 
    // {{{ tableName
    /**
     * @return string the associated database table name
     */
    public function tableName()
    {
        return '{{ddnote}}';
    } // }}} 
    // {{{ rules
    /**
     * @return array validation rules for model attributes.
     */
    public function rules()
    {
        // NOTE: you should only define rules for those attributes that
        // will receive user inputs.
        return array(
            array('tableName,foreignKey,content', 'required'),
            array('tsCreated,userIdCreated,tsUpdated,userIdUpdated','safe'),
        );
    } // }}} 
    // {{{ relations
    /**
     * @return array relational rules.
     */
    public function relations()
    {
        // NOTE: you may need to adjust the relation name and the related
        // class name for the relations automatically generated below.
        return array(
            'createdBy' => array(self::BELONGS_TO,'User','userIdCreated'),
            'updatedBy' => array(self::BELONGS_TO,'User','userIdUpdated'),
        );
    } // }}} 
    // {{{ attributeLabels
    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels()
    {
        return array(
            'id'            => Yii::t('ddnotes','ID'),
            'tableName'     => Yii::t('ddnotes','Table Name'),
            'foreignKey'    => Yii::t('ddnotes','ForeignKey'),
            'content'       => Yii::t('ddnotes','Comment'),
            'tsCreated'     => Yii::t('ddnotes','Created On'),
            'userIdCreated' => Yii::t('ddnotes','Created By'),
            'tsUpdated'     => Yii::t('ddnotes','Updated On'),
            'userIdUpdated' => Yii::t('ddnotes','Updated By'),
        );
    } // }}} 
    // {{{ search
    /**
     * Retrieves a list of models based on the current search/filter conditions.
     * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
     */
    public function search()
    {
        // Warning: Please modify the following code to remove attributes that
        // should not be searched.

        $criteria=new CDbCriteria;

        $criteria->order = 'tsCreated DESC';
        $criteria->compare('tableName',$this->tableName,true);
        $criteria->compare('foreignKey',$this->foreignKey,true);
        $criteria->compare('content',$this->content,true);
        $criteria->compare('userIdCreated',$this->userIdCreated,true);
        $criteria->compare('userIdUpdated',$this->userIdUpdated,true);
        $dataProvider = new CActiveDataProvider(get_class($this), array('criteria'=>$criteria));
        return $dataProvider;
    } // }}} 
}
/* vim:set ai sw=4 sts=4 et fdm=marker fdc=4: */ 
?>
